Class SelectLine
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Namespace: NXOpen
Assembly: NXOpen.dll
Syntax
public class SelectLine : TaggedObject, IMessageSink, IComponentBuilder
Constructors
SelectLine()
Declaration
protected SelectLine()
Properties
Value
Declaration
public Line Value { get; set; }
Property Value
Type | Description |
---|---|
Line |
Methods
GetValue(out CaeObjectType.CaeSubType, out Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.GetValue.")]
public Line GetValue(out CaeObjectType.CaeSubType caeSubType, out int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
Returns
Type | Description |
---|---|
Line |
GetValue(out InferSnapType.SnapType, out Line, out View, out Point3d, out Line, out View, out Point3d)
Declaration
public void GetValue(out InferSnapType.SnapType snapType, out Line selection1, out View view1, out Point3d point1, out Line selection2, out View view2, out Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
Line | selection1 | |
View | view1 | |
Point3d | point1 | |
Line | selection2 | |
View | view2 | |
Point3d | point2 |
GetValue(out Line, out View, out Point3d)
Declaration
public void GetValue(out Line selection, out View view, out Point3d point)
Parameters
Type | Name | Description |
---|---|---|
Line | selection | |
View | view | |
Point3d | point |
SetValue(InferSnapType.SnapType, Line, View, Point3d, Line, View, Point3d)
Declaration
public void SetValue(InferSnapType.SnapType snapType, Line selection1, View view1, Point3d point1, Line selection2, View view2, Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
Line | selection1 | |
View | view1 | |
Point3d | point1 | |
Line | selection2 | |
View | view2 | |
Point3d | point2 |
SetValue(Line, CaeObjectType.CaeSubType, Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.SetValue.")]
public void SetValue(Line selection, CaeObjectType.CaeSubType caeSubType, int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
Line | selection | |
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
SetValue(Line, View, Point3d)
Declaration
public void SetValue(Line selection, View view, Point3d point)
Parameters
Type | Name | Description |
---|---|---|
Line | selection | |
View | view | |
Point3d | point |
Validate()
Declaration
public bool Validate()
Returns
Type | Description |
---|---|
System.Boolean |
Implements
System.Runtime.Remoting.Messaging.IMessageSink